• Русский
  • DeleteBackupRequest [velero.io/v1]

    Description
    DeleteBackupRequest is a request to delete one or more backups.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    DeleteBackupRequestSpec is the specification for which backups to delete.

    statusobject

    DeleteBackupRequestStatus is the current status of a DeleteBackupRequest.

    .spec

    Description
    DeleteBackupRequestSpec is the specification for which backups to delete.
    Type
    object
    Required
    backupName
    PropertyTypeDescription
    backupNamestring

    .status

    Description
    DeleteBackupRequestStatus is the current status of a DeleteBackupRequest.
    Type
    object
    PropertyTypeDescription
    errorsarray

    Errors contains any errors that were encountered during the deletion process.

    phasestring

    Phase is the current state of the DeleteBackupRequest.

    .status.errors

    Description
    Errors contains any errors that were encountered during the deletion process.
    Type
    array

    .status.errors[]

    Type
    string

    API Endpoints

    The following API endpoints are available:

    • /apis/velero.io/v1/namespaces/{namespace}/deletebackuprequests
      • DELETE: delete collection of DeleteBackupRequest
      • GET: list objects of kind DeleteBackupRequest
      • POST: create a new DeleteBackupRequest
    • /apis/velero.io/v1/namespaces/{namespace}/deletebackuprequests/{name}
      • DELETE: delete the specified DeleteBackupRequest
      • GET: read the specified DeleteBackupRequest
      • PATCH: partially update the specified DeleteBackupRequest
      • PUT: replace the specified DeleteBackupRequest
    • /apis/velero.io/v1/namespaces/{namespace}/deletebackuprequests/{name}/status
      • GET: read status of the specified DeleteBackupRequest
      • PATCH: partially update status of the specified DeleteBackupRequest
      • PUT: replace status of the specified DeleteBackupRequest

    /apis/velero.io/v1/namespaces/{namespace}/deletebackuprequests

    HTTP method
    DELETE
    Description
    delete collection of DeleteBackupRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind DeleteBackupRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequestList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new DeleteBackupRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDeleteBackupRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    201 - CreatedDeleteBackupRequest schema
    202 - AcceptedDeleteBackupRequest schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/deletebackuprequests/{name}

    HTTP method
    DELETE
    Description
    delete the specified DeleteBackupRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified DeleteBackupRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified DeleteBackupRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified DeleteBackupRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDeleteBackupRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    201 - CreatedDeleteBackupRequest schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/deletebackuprequests/{name}/status

    HTTP method
    GET
    Description
    read status of the specified DeleteBackupRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified DeleteBackupRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified DeleteBackupRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDeleteBackupRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDeleteBackupRequest schema
    201 - CreatedDeleteBackupRequest schema
    401 - UnauthorizedEmpty